> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cula.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List material utilizations



## OpenAPI

````yaml /openapi.json get /material-utilizations
openapi: 3.1.0
info:
  title: Cula Tracking API
  version: 0.3.10
servers:
  - url: https://api.demo.cula.earth/tracking/v1
security: []
tags:
  - name: Organisations
    description: ''
  - name: Sites
    description: ''
  - name: Machines
    description: ''
  - name: Machine Variables
    description: ''
  - name: Machine Data Imports
    description: ''
  - name: Delivery Configs
    description: ''
  - name: Deliveries
    description: ''
  - name: Material Sourcing Configs
    description: ''
  - name: Material Sourcings
    description: ''
  - name: Material Conversion Configs
    description: ''
  - name: Material Conversions
    description: ''
  - name: Material Utilization Configs
    description: ''
  - name: Material Utilizations
    description: ''
  - name: Material Batches
    description: ''
  - name: Material Pools
    description: ''
  - name: Material Containers
    description: ''
  - name: Sinks
    description: ''
  - name: Documents
    description: ''
  - name: Webhooks
    description: ''
paths:
  /material-utilizations:
    get:
      tags:
        - Material Utilizations
      summary: List material utilizations
      parameters:
        - name: Cula-Organisation-Id
          in: header
          description: >-
            ID of the organisation the request operates on behalf of (e.g.
            `org_...`). Must be an organisation the API client has access to.
          required: true
          schema:
            type: string
            example: org_01k83mfmhgchya944v86ryvhpq
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return.
          schema:
            minimum: 1
            maximum: 50
            default: 10
            type: integer
        - name: site_id
          required: false
          in: query
          description: Only return utilizations executed at the given site.
          schema:
            type: string
            example: ste_01k8g7aec6dt5zrtamc72ww446
        - name: config_id
          required: false
          in: query
          description: Only return utilizations created from the given config.
          schema:
            type: string
            example: mutc_01k16bap2kcz0asd2h2dkzz1xj
        - name: starting_after
          required: false
          in: query
          description: >-
            Cursor representing the item ID after which to start listing
            results.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMaterialUtilizationsResponse'
        '400':
          description: Invalid request payload or parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: bad_request
                message: The field limit must not be greater than 100.
        '401':
          description: Missing or invalid access token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: unauthorized
                message: Invalid or expired token
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: internal_server_error
                message: Internal server error.
      security:
        - AccessToken: []
components:
  schemas:
    ListMaterialUtilizationsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/MaterialUtilizationSummary'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
    Error:
      type: object
      properties:
        code:
          type: string
          example: bad_request
        message:
          type: string
          example: The field limit must not be greater than 100.
      required:
        - code
        - message
    MaterialUtilizationSummary:
      type: object
      properties:
        id:
          type: string
          example: mut_01kcwnf3gxeezez5jxrhf1k34x
          description: The ID of the material utilization.
        config_id:
          type: string
          example: mutc_01k16bap2kcz0asd2h2dkzz1xj
          description: The ID of the config the utilization was created from.
        config_version_id:
          type: string
          example: mutcv_01kbr6p08518pexf6rs9segz8j
          description: The ID of the exact config version the utilization was created from.
        external_id:
          type: string
          nullable: true
          example: MY-CUSTOM-ID
          description: Optional external ID of the utilization.
        display_id:
          type: string
          example: SNK-2026-01-15-1
          description: Human-readable identifier.
        site:
          description: The site the material was applied at.
          allOf:
            - $ref: '#/components/schemas/SiteRef'
        occurred_at:
          type: string
          format: date-time
          example: '2026-01-15T08:00:00Z'
          description: When the utilization took place.
        created_at:
          type: string
          format: date-time
          example: '2026-01-15T08:00:00Z'
          description: When the utilization was recorded in Cula.
      required:
        - id
        - config_id
        - config_version_id
        - external_id
        - display_id
        - site
        - occurred_at
        - created_at
    Pagination:
      type: object
      properties:
        starting_after:
          type: string
          nullable: true
          description: >-
            Cursor that was used to retrieve this page. Null implies the first
            page.
          example: null
        limit:
          type: integer
          minimum: 1
          maximum: 50
          description: Maximum number of items returned in this response.
          example: 10
        has_more:
          type: boolean
          description: >-
            Indicates whether more items can be fetched when using the returned
            next_cursor.
          example: false
        next_cursor:
          type: string
          nullable: true
          description: >-
            Cursor to use as starting_after to fetch the next set of results.
            Null means no more results.
          example: null
      required:
        - starting_after
        - limit
        - has_more
        - next_cursor
    SiteRef:
      type: object
      properties:
        id:
          type: string
          example: ste_01k8g7aec6dt5zrtamc72ww446
          description: The ID of the site.
        external_id:
          type: string
          nullable: true
          example: SITE-EXT-0001
          description: Optional external ID of the site.
      description: Reference to a site.
      required:
        - id
        - external_id
  securitySchemes:
    AccessToken:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.demo.cula.earth/oauth2/token
          scopes: {}
      description: >-
        OAuth 2.0 client credentials. Exchange your client_id and client_secret
        for an access token scoped to the organisation that provides data
        access.

````